Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
Retrieve a reporting group
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "execute_flexx_analyzer_agent": true,
  "organization_id": "<string>",
  "product_config_id": "<string>",
  "fishing_pattern": "<string>",
  "patch_policy_target_id": "<string>",
  "policy_reporting_group": "<string>",
  "overridden_agent_settings": {
    "remote_support": "<string>",
    "collect_device_location": true,
    "auto_update_agents": true,
    "collect_event_logs": true,
    "event_log_ids": "<string>",
    "event_logs_recurrence": 123,
    "collect_disks": true,
    "collect_services": true,
    "collect_pnp_events": true,
    "collect_public_ip": true,
    "fra_system_actions_role": "<string>",
    "unified_reporting": "<string>",
    "unified_operations": "<string>",
    "web_apps": true
  },
  "effective_agent_settings": {
    "remote_support": "<string>",
    "collect_device_location": true,
    "auto_update_agents": true,
    "collect_event_logs": true,
    "event_log_ids": "<string>",
    "event_logs_recurrence": 123,
    "collect_disks": true,
    "collect_services": true,
    "collect_pnp_events": true,
    "collect_public_ip": true,
    "fra_system_actions_role": "<string>",
    "unified_reporting": "<string>",
    "resources_report_recurrence": 123,
    "profile_storage_report_recurrence": 123,
    "sync_broker_recurrence": 123,
    "detect_new_citrix_subscriptions": true,
    "proxy_type": "<string>",
    "can_enable_flexx_agent_per_group": true,
    "web_apps": true,
    "fra_simplified_security": "<string>"
  },
  "intermediate_device_1_id": "<string>",
  "intermediate_device_2_id": "<string>",
  "intermediate_device_3_id": "<string>"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
reporting_group_id
string
required

The unique identifier of the reporting group

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Reporting group details retrieved successfully. The response includes the reporting group configuration and agent settings.

id
string
required

Reporting group Id

name
string
required

Name of the reporting group

execute_flexx_analyzer_agent
boolean
required

If Flexx Analyzer agent execution is enabled

organization_id
string | null

Organization identifier

product_config_id
string | null

Product configuration identifier

fishing_pattern
string | null

Fishing pattern name

fishing_pattern_field
enum<string> | null

Field to which fishing_pattern is applied. Possible values: full_name, description, ou, current_subnet.

Available options:
full_name,
description,
ou,
current_subnet
patch_policy_target_id
string | null

Patch policy target identifier

policy_reporting_group
string | null

Policy reporting group identifier

overridden_agent_settings
object | null

Agent settings overridden at the reporting group level

effective_agent_settings
object | null

Effective agent settings (combined from product configuration and overrides)

intermediate_device_1_id
string | null

Workspace ID of the first intermediary device (searched by sysId)

intermediate_device_2_id
string | null

Workspace ID of the second intermediary device (searched by sysId)

intermediate_device_3_id
string | null

Workspace ID of the third intermediary device (searched by sysId)